#ifndef _UNITY_WEBAPPS_CONTEXT_PRIVATE_H__
#define _UNITY_WEBAPPS_CONTEXT_PRIVATE_H__
struct _UnityWebappsContextPrivate {
  UnityWebappsService *service;
  
  UnityWebappsGenContext *context_proxy;
  
  UnityWebappsNotificationContext *notification_context;
  UnityWebappsIndicatorContext *indicator_context;
  UnityWebappsMusicPlayerContext *music_player_context;
  UnityWebappsLauncherContext *launcher_context;
  
  guint global_rate;
  
  gchar *name;
  gchar *domain;
  gchar *icon_url;
  
  gchar *context_name;

  gboolean took_interest;
  
  gint interest_id;
  
  UnityWebappsContextPreviewCallback preview_callback;
  
  GHashTable *action_callbacks_by_name;
};

#endif
